=== Common/Python/CMakeLists.txt ===
set(classes
  vtkPythonArchiver)

vtk_module_add_module(VTK::CommonPython
  CLASSES ${classes})
