=== Filters/Core/CMakeLists.txt ===
set(classes
  vtk3DLinearGridPlaneCutter
  vtkAppendArcLength
  vtkAppendCompositeDataLeaves
  vtkAppendDataSets
  vtkAppendFilter
  vtkAppendPolyData
  vtkAppendSelection
  vtkArrayCalculator
  vtkAssignAttribute
  vtkAttributeDataToFieldDataFilter
  vtkBinCellDataFilter
  vtkCellDataToPointData
  vtkCellCenters
  vtkCenterOfMass
  vtkCleanPolyData
  vtkClipPolyData
  vtkCompositeCutter
  vtkCompositeDataProbeFilter
  vtkConnectivityFilter
  vtkContour3DLinearGrid
  vtkContourFilter
  vtkContourGrid
  vtkContourHelper
  vtk3DLinearGridCrinkleExtractor
  vtkCutter
  vtkDataObjectGenerator
  vtkDataObjectToDataSetFilter
  vtkDataSetEdgeSubdivisionCriterion
  vtkDataSetToDataObjectFilter
  vtkDecimatePolylineFilter
  vtkDecimatePro
  vtkDelaunay2D
  vtkDelaunay3D
  vtkEdgeSubdivisionCriterion
  vtkElevationFilter
  vtkExecutionTimer
  vtkExplicitStructuredGridCrop
  vtkExplicitStructuredGridToUnstructuredGrid
  vtkFeatureEdges
  vtkFieldDataToAttributeDataFilter
  vtkFlyingEdges2D
  vtkFlyingEdges3D
  vtkFlyingEdgesPlaneCutter
  vtkGlyph2D
  vtkGlyph3D
  vtkGridSynchronizedTemplates3D
  vtkHedgeHog
  vtkHull
  vtkIdFilter
  vtkImageDataToExplicitStructuredGrid
  vtkImageAppend
  vtkImplicitPolyDataDistance
  vtkImplicitProjectOnPlaneDistance
  vtkMarchingCubes
  vtkMarchingSquares
  vtkMaskFields
  vtkMaskPoints
  vtkMaskPolyData
  vtkMassProperties
  vtkMergeDataObjectFilter
  vtkMergeFields
  vtkMergeFilter
  vtkMoleculeAppend
  vtkMultiObjectMassProperties
  vtkPlaneCutter
  vtkPointDataToCellData
  vtkPolyDataConnectivityFilter
  vtkPolyDataNormals
  vtkPolyDataTangents
  vtkProbeFilter
  vtkQuadricClustering
  vtkQuadricDecimation
  vtkRearrangeFields
  vtkRectilinearSynchronizedTemplates
  vtkRemoveDuplicatePolys
  vtkResampleToImage
  vtkResampleWithDataSet
  vtkReverseSense
  vtkSimpleElevationFilter
  vtkSmoothPolyDataFilter
  vtkSphereTreeFilter
  vtkStaticCleanPolyData
  vtkStreamerBase
  vtkStreamingTessellator
  vtkStripper
  vtkStructuredGridAppend
  vtkStructuredGridOutlineFilter
  vtkSynchronizedTemplates2D
  vtkSynchronizedTemplates3D
  vtkSynchronizedTemplatesCutter3D
  vtkTensorGlyph
  vtkThreshold
  vtkThresholdPoints
  vtkTransposeTable
  vtkTriangleFilter
  vtkTriangleMeshPointNormals
  vtkTubeFilter
  vtkUnstructuredGridQuadricDecimation
  vtkUnstructuredGridToExplicitStructuredGrid
  vtkVectorDot
  vtkVectorNorm
  vtkVoronoi2D
  vtkWindowedSincPolyDataFilter)

set(headers
    vtk3DLinearGridInternal.h)

vtk_module_add_module(VTK::FiltersCore
  CLASSES ${classes})
